package com.ssj.service.conch.conch.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class HomeworkFeedbackVO implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
    private String homeworkId;
    private String subject;
    private String brief;
    private List<String> homeworkPictureList = new ArrayList<>();
    private List<HomeworkWrongQuestionVO> wrongQuestionList = new ArrayList<>();
    private List<String> knowledgeList = new ArrayList<>();


    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        switch (subject){
            case "语文": this.subject = "YUWEN"; break;
            case "数学": this.subject = "SHUXUE"; break;
            case "英语": this.subject = "YINGYU"; break;
            default: this.subject = "SHUXUE"; break;
        }
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getBrief() {
        return brief;
    }

    public void setBrief(String brief) {
        this.brief = brief;
    }

    public List<String> getHomeworkPictureList() {
        return homeworkPictureList;
    }

    public void setHomeworkPictureList(List<String> homeworkPictureList) {
        this.homeworkPictureList = homeworkPictureList;
    }

    public List<HomeworkWrongQuestionVO> getWrongQuestionList() {
        return wrongQuestionList;
    }

    public void setWrongQuestionList(List<HomeworkWrongQuestionVO> wrongQuestionList) {
        this.wrongQuestionList = wrongQuestionList;
    }

    public List<String> getKnowledgeList() {
        return knowledgeList;
    }

    public void setKnowledgeList(List<String> knowledgeList) {
        this.knowledgeList = knowledgeList;
    }
}
